perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.0-3.mga6.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-Prereqs-Upgrade - Upgrade existing prerequisites in place

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package name perl-Dist-Zilla-Plugin-Prereqs-Upgrade
Package version 0.1.0
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 90.34 KB
Download size 26.80 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This allows you to automatically upgrade selected prerequisites to
selected versions, if, and only if, they're already prerequisites.
This is intended to be used to compliment "[AutoPrereqs]" without adding
dependencies.
[AutoPrereqs]
[Prereqs::Upgrade]
Moose = 2.0 ; Moose 2.0 is added as a minimum to runtime.recommends to
2.0 if a lower version is in runtime.requires
This is intended to be especially helpful in "PluginBundle"'s where one
may habitually always want a certain version of a certain dependency
every time they use it, but don't want to be burdened with remembering
to encode that version of it.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.0-3.mga6.noarch.rpm 0.1.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-Prereqs-Upgrade - - -

Requires

Name Value
perl >= 0:5.006
perl(Dist::Zilla::Role::PrereqSource) -
perl(Dist::Zilla::Util::ConfigDumper) -
perl(Moose) -
perl(Scalar::Util) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Dist::Zilla::Plugin::Prereqs::Upgrade) == 0.1.0
perl-Dist-Zilla-Plugin-Prereqs-Upgrade == 0.1.0-3.mga6

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.0-3.mga6.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.0-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-Prereqs-Upgrade rpm package:
    # urpmi perl-Dist-Zilla-Plugin-Prereqs-Upgrade

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Dist/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/Prereqs/Upgrade.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/MYMETA.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-Upgrade/README
/usr/share/man/man3/Dist::Zilla::Plugin::Prereqs::Upgrade.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026557
- Rebuild for perl 5.22.2
2016-02-19 - umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968263
- Mageia 6 Mass Rebuild
2015-07-05 - sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851679
- imported package perl-Dist-Zilla-Plugin-Prereqs-Upgrade

See Also

Package Description
perl-Dist-Zilla-Plugin-PromptIfStale-0.49.0-2.mga6.noarch.rpm Check at build/release time if modules are out of date
perl-Dist-Zilla-Plugin-PurePerlTests-0.60.0-2.mga6.noarch.rpm Run all your tests twice, once with XS code and once with pure Perl
perl-Dist-Zilla-Plugin-Readme-Brief-0.3.0-2.mga6.noarch.rpm Provide a short simple README with just the essentials
perl-Dist-Zilla-Plugin-ReadmeAnyFromPod-0.161.170-2.mga6.noarch.rpm Automatically convert POD to a README in any format for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeFromPod-0.330.0-3.mga6.noarch.rpm Automatically convert POD to a README for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeMarkdownFromPod-0.141.140-5.mga6.noarch.rpm Automatically convert POD to a README.mkdn for Dist::Zilla
perl-Dist-Zilla-Plugin-RemovePrereqs-Provided-0.1.0-3.mga6.noarch.rpm Remove prerequisites that are already provided
perl-Dist-Zilla-Plugin-ReportPhase-0.30.0-7.mga6.noarch.rpm Report whats going on
perl-Dist-Zilla-Plugin-ReportVersions-1.110.730-7.mga6.noarch.rpm Write a test that reports used module versions
perl-Dist-Zilla-Plugin-ReportVersions-Tiny-1.120.0-3.mga6.noarch.rpm Reports dependency versions during testing
perl-Dist-Zilla-Plugin-Repository-0.200.0-6.mga6.noarch.rpm Automatically sets repository URL from svn/svk/Git checkout for Dist::Zilla
perl-Dist-Zilla-Plugin-RequiresExternal-1.6.0-2.mga6.noarch.rpm Make dists require external commands
perl-Dist-Zilla-Plugin-RewriteVersion-Sanitized-0.1.5-3.mga6.noarch.rpm RewriteVersion but force normalizing ENV{V} and other sources
perl-Dist-Zilla-Plugin-RewriteVersion-Transitional-0.7.0-2.mga6.noarch.rpm Ease the transition to [BumpVersionAfterRelease] in your distribution
perl-Dist-Zilla-Plugin-Rsync-0.100.0-7.mga6.noarch.rpm Dist::Zilla plugin to upload using rsync
Advertisement
Advertisement